import type { _AVAudioMixing } from "./AVAudioMixing.js";
import type { _AVAudioNode } from "./AVAudioNode.js";
export declare class _AVAudioMixerNode extends _AVAudioNode {
    static alloc(): _AVAudioMixerNode;
    static new(): _AVAudioMixerNode;
    init(): _AVAudioMixerNode;
    /**
     * @property outputVolume @abstract The mixer's output volume. @discussion This accesses the mixer's output volume (0.0-1.0, inclusive).
     */
    outputVolume(): number;
    setOutputVolume$(value: number): void;
    /**
     * @property nextAvailableInputBus @abstract Find an unused input bus. @discussion This will find and return the first input bus to which no other node is connected.
     */
    nextAvailableInputBus(): number;
}
export interface _AVAudioMixerNode extends _AVAudioMixing {
}
